Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class JuniperSecretKey

    java.lang.Object
      iaik.pkcs.pkcs11.objects.Object
          iaik.pkcs.pkcs11.objects.Storage
              iaik.pkcs.pkcs11.objects.Key
                  iaik.pkcs.pkcs11.objects.SecretKey
                      iaik.pkcs.pkcs11.objects.JuniperSecretKey

All Implemented Interfaces:
  Cloneable

public class JuniperSecretKey
extends SecretKey

Objects of this class represent Juniper secret keys as specified by PKCS#11 v2.11.

Invariants
  (value_ <> null)

Nested Class Summary

Nested classes inherited from class iaik.pkcs.pkcs11.objects.Key
`Key.KeyType, Key.VendorDefinedKeyBuilder`

Nested classes inherited from class iaik.pkcs.pkcs11.objects.Object
`Object.ObjectClass, Object.VendorDefinedObjectBuilder`

Field Summary
`protected ByteArrayAttribute` | `value_` The value attribute of this secret key.

Fields inherited from class iaik.pkcs.pkcs11.objects.SecretKey
`alwaysSensitive_, decrypt_, encrypt_, extractable_, neverExtractable_, sensitive_, sign_, unwrap_, verify_, wrap_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Key
`derive_, endDate_, id_, keyGenMechanism_, keyType_, keyTypeNames_, local_, startDate_, vendorKeyBuilder_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Storage
`label_, modifiable_, private_, token_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Object
`attributeTable_, objectClass_, objectClassNames_, objectHandle_, vendorObjectBuilder_`

Constructor Summary
`` | `JuniperSecretKey()` Deafult Constructor.
`protected` | `JuniperSecretKey(Session session, long objectHandle)` Called by getInstance to create an instance of a PKCS#11 Juniper secret key.

Method Summary
`protected void` | `allocateAttributes()` Allocates the attribute objects for this class and adds them to the attribute table.
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`static Object` | `getInstance(Session session, long objectHandle)` The getInstance method of the SecretKey class uses this method to create an instance of a PKCS#11 Juniper secret key.
`ByteArrayAttribute` | `getValue()` Gets the value attribute of this Juniper key.
`protected static void` | `putAttributesInTable(JuniperSecretKey object)` Put all attributes of the given object into the attributes table of this object.
`void` | `readAttributes(Session session)` Read the values of the attributes of this object from the token.
`String` | `toString()` This method returns a string representation of the current object.

Methods inherited from class iaik.pkcs.pkcs11.objects.SecretKey
`getAlwaysSensitive, getDecrypt, getEncrypt, getExtractable, getNeverExtractable, getSensitive, getSign, getUnknownSecretKey, getUnwrap, getVerify, getWrap, putAttributesInTable`

Methods inherited from class iaik.pkcs.pkcs11.objects.Key
`getDerive, getEndDate, getId, getKeyGenMechanism, getKeyType, getKeyTypeName, getLocal, getStartDate, getVendorDefinedKeyBuilder, hashCode, putAttributesInTable, setVendorDefinedKeyBuilder`

Methods inherited from class iaik.pkcs.pkcs11.objects.Storage
`getLabel, getModifiable, getPrivate, getToken, putAttributesInTable`

Methods inherited from class iaik.pkcs.pkcs11.objects.Object
`getAttributeTable, getAttributeValue, getObjectClass, getObjectClassName, getObjectHandle, getSetAttributes, getSetAttributes, getUnknownObject, getVendorDefinedObjectBuilder, putAttributesInTable, setObjectHandle, setVendorDefinedObjectBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### value_

    protected ByteArrayAttribute value_

  The value attribute of this secret key.

Constructor Detail

### JuniperSecretKey

    public JuniperSecretKey()

  Deafult Constructor.

Preconditions
Postconditions

### JuniperSecretKey

    protected JuniperSecretKey(Session session,
                               long objectHandle)
                        throws TokenException

  Called by getInstance to create an instance of a PKCS#11 Juniper secret key.

Parameters:
  `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
  `objectHandle` - The object handle as given from the PKCS#111 module.
Throws:
  `TokenException` - If getting the attributes failed.
Preconditions
  (session <> null)
Postconditions

Method Detail

### getInstance

    public static Object getInstance(Session session,
                                     long objectHandle)
                              throws TokenException

  The getInstance method of the SecretKey class uses this method to create an instance of a PKCS#11 Juniper secret key.

  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Returns:
    The object representing the PKCS#11 object. The returned object can be casted to the according sub-class.
  Throws:
    `TokenException` - If getting the attributes failed.
  Preconditions
    (session <> null)
  Postconditions
    (result <> null)

### putAttributesInTable

    protected static void putAttributesInTable(JuniperSecretKey object)

  Put all attributes of the given object into the attributes table of this object. This method is only static to be able to access invoke the implementation of this method for each class separately (see use in clone()).

  Parameters:
    `object` - The object to handle.
  Preconditions
    (object <> null)
  Postconditions

### allocateAttributes

    protected void allocateAttributes()

  Allocates the attribute objects for this class and adds them to the attribute table.

  Overrides:
    `allocateAttributes` in class `SecretKey`
  Preconditions
  Postconditions

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Overrides:
    `clone` in class `SecretKey`
  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof JuniperSecretKey) and (result.equals(this))

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Overrides:
    `equals` in class `SecretKey`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### getValue

    public ByteArrayAttribute getValue()

  Gets the value attribute of this Juniper key.

  Returns:
    The value attribute.
  Preconditions
  Postconditions
    (result <> null)

### readAttributes

    public void readAttributes(Session session)
                        throws TokenException

  Read the values of the attributes of this object from the token.

  Overrides:
    `readAttributes` in class `SecretKey`
  Parameters:
    `session` - The session handle to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
  Throws:
    `TokenException` - If getting the attributes failed.
  Preconditions
    (session <> null)
  Postconditions

### toString

    public String toString()

  This method returns a string representation of the current object. The output is only for debugging purposes and should not be used for other purposes.

  Overrides:
    `toString` in class `SecretKey`
  Returns:
    A string presentation of this object for debugging output.
  Preconditions
  Postconditions
    (result <> null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.